import React from 'react'
import ServiceCard from './ServiceCard'

const servicesData = [
    {
        label: "Oil & Gas Facilities",
        description: "Offering comprehensive solutions tailored to every stage of oil and gas operations, including exploration, production, engineering, construction, maintenance, and environmental compliance.",
    },
    {
        label: "Mechanical Works",
        description: "Providing expertise in designing and implementing firefighting systems, MEP services, and steel structures for various industrial needs, ensuring precision and reliability.",
    },
    {
        label: "Electricity Sector",
        description: "Delivering end-to-end services encompassing transmission, generation, and distribution, ensuring reliable and efficient power supply networks, as well as the construction and maintenance of related infrastructure.",
    },
    {
        label: "Lab Preparation Services",
        description: "Tailoring solutions to meet the unique needs of laboratories, including planning, equipment supply, and system integration to enhance efficiency and accuracy in testing and analysis.",
    },
    {
        label: "Project Management",
        description: "Guiding projects from conception to completion, ensuring smooth execution and adherence to timelines and budgets, with a focus on quality, safety, and client satisfaction.",
    },
    {
        label: "Environmental Compliance",
        description: "Assisting clients in navigating regulatory requirements and ensuring compliance with environmental standards, with services ranging from assessments and strategy development to implementation and monitoring.",
    },
    {
        label: "Maintenance and Operations",
        description: "Providing reliable support for the maintenance and optimization of oil and gas assets, including routine maintenance, shutdown management, asset integrity management, and spare parts supply.",
    },
    {
        label: "Engineering and Construction",
        description: "Offering design and construction services for oil and gas facilities, pipelines, and infrastructure, as well as fabrication, extension, and calibration of storage tanks.",
    },
    {
        label: "Consultancy Services",
        description: "Offering expert advice and strategic guidance to optimize operations, mitigate risks, and capitalize on opportunities, with services tailored to clients' specific needs and objectives.",
    },
    {
        label: "Training and Development",
        description: "Providing educational programs and workshops to enhance skills and knowledge in the oil and gas industry, empowering professionals to excel in their roles and contribute to project success.",
    },
]

const ServicesContainer = ({ count }: { count: number }) => {
    return (
        <div className="w-full grid grid-cols-1 md:grid-cols-2 gap-3">
            {
                servicesData.map((service, index) => {
                    if (index >= count) return null;
                    return <ServiceCard key={index} label={service.label} description={service.description} />;
                })
            }
        </div>
    )
}
export default ServicesContainer